POST gls/api/reports/income-statement-per-project

Request Information

URI Parameters

None.

Body Parameters

IncomeStatementPerProjectRequestDto
NameDescriptionTypeAdditional information
Year

integer

None.

Month

integer

None.

AllAuxiliaries

boolean

None.

SelectedAuxiliaryCode

string

None.

IsMonthly

boolean

None.

IsYearly

boolean

None.

OutputToScreen

boolean

None.

OutputToPrinter

boolean

None.

UserId

integer

None.

Request Formats

application/json, text/json

Sample:
{
  "year": 1,
  "month": 2,
  "allAuxiliaries": true,
  "selectedAuxiliaryCode": "sample string 4",
  "isMonthly": true,
  "isYearly": true,
  "outputToScreen": true,
  "outputToPrinter": true,
  "userId": 1
}

application/xml, text/xml

Sample:
<IncomeStatementPerProjectRequestDto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/CPCI.Reports.Services.DTO">
  <AllAuxiliaries>true</AllAuxiliaries>
  <IsMonthly>true</IsMonthly>
  <IsYearly>true</IsYearly>
  <Month>2</Month>
  <OutputToPrinter>true</OutputToPrinter>
  <OutputToScreen>true</OutputToScreen>
  <SelectedAuxiliaryCode>sample string 4</SelectedAuxiliaryCode>
  <UserId>1</UserId>
  <Year>1</Year>
</IncomeStatementPerProjectRequestDto>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

IHttpActionResult

None.

Response Formats

application/json, text/json, application/xml, text/xml

Sample:

Sample not available.